Subject: strange behaviour of cygwin build executable
From: David Starks-Browning <[email-masked]>
To: "prateek" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 12 Jun 2002 16:13:50 +0100

On Wednesday 12 Jun 02, prateek writes:
> Hi friends
> I have wriiten in the a very simple program to print a echo statement by
> system command.
> 
> #include <stdlib.h>
> 
> void main()
> {
>   system(" echo   this is a Test Program ");
> }
> 
> I compiled gcc -o test test.cxx -mwindows
> it generate test.exe
> 
> WhenI run it print " this is a Test Program " , the same exeutable when I
> run on my friends computer with same operating system and configuration ,
> nothing is come up. with same cygwin1.dll.
> May I know why it  Showing such a strange behaviour.

Don't name executables "test".  You never know which one you're
getting.  Sounds like your friend is not getting ./test, in this case.

Regards,
David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/